Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.ajp
Class Ajp13Request

    java.lang.Object
      org.mortbay.jetty.Request
          org.mortbay.jetty.ajp.Ajp13Request

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

    public class Ajp13Request

extends Request

Field Summary
`protected java.lang.String` | `_remoteAddr`
`protected java.lang.String` | `_remoteHost`
`protected java.lang.String` | `_remoteUser`
`protected boolean` | `_sslSecure`

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`Ajp13Request()`

Method Summary
`java.lang.String` | `getRemoteAddr()`
`java.lang.String` | `getRemoteHost()`
`java.lang.String` | `getRemoteUser()`
`boolean` | `isSslSecure()`
`protected void` | `recycle()`
`protected void` | `setConnection(HttpConnection connection)`
`void` | `setRemoteAddr(java.lang.String remoteAddr)`
`void` | `setRemoteHost(java.lang.String remoteHost)`
`void` | `setRemoteUser(java.lang.String remoteUser)`
`void` | `setSslSecure(boolean sslSecure)`

Methods inherited from class org.mortbay.jetty.Request
`addEventListener, getAttribute, getAttributeNames, getAttributes, getAuthType, getCharacterEncoding, getConnection, getContentLength, getContentRead, getContentType, getContext, getContextPath, getContinuation, getContinuation, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getInputState, getInputStream, getIntHeader, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getMethod, getParameter, getParameterMap, getParameterNames, getParameters, getParameterValues, getPathInfo, getPathTranslated, getProtocol, getQueryEncoding, getQueryString, getReader, getRealPath, getRemotePort, getRequest, getRequestDispatcher, getRequestedSessionId, getRequestURI, getRequestURL, getRoleMap, getRootURL, getScheme, getServerName, getServerPort, getServletContext, getServletName, getServletPath, getServletResponse, getSession, getSession, getSessionManager, getTimeStamp, getTimeStampBuffer, getUri, getUserPrincipal, getUserRealm, isHandled, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, recoverNewSession, removeAttribute, removeEventListener, saveNewSession, setAttribute, setAttributes, setAuthType, setCharacterEncoding, setCharacterEncodingUnchecked, setContentType, setContext, setContextPath, setCookies, setHandled, setMethod, setParameters, setPathInfo, setProtocol, setQueryEncoding, setQueryString, setRequestedSessionId, setRequestedSessionIdFromCookie, setRequestListeners, setRequestURI, setRoleMap, setScheme, setServerName, setServerPort, setServletName, setServletPath, setSession, setSessionManager, setTimeStamp, setUri, setUserPrincipal, setUserRealm, takeRequestListeners, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _remoteAddr

    protected java.lang.String _remoteAddr

### _remoteHost

    protected java.lang.String _remoteHost

### _remoteUser

    protected java.lang.String _remoteUser

### _sslSecure

    protected boolean _sslSecure

Constructor Detail

### Ajp13Request

    public Ajp13Request()

Method Detail

### setConnection

    protected void setConnection(HttpConnection connection)

  Overrides:
    `setConnection` in class `Request`

### setRemoteUser

    public void setRemoteUser(java.lang.String remoteUser)

### getRemoteUser

    public java.lang.String getRemoteUser()

  Specified by:
    `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getRemoteUser` in class `Request`

### getRemoteAddr

    public java.lang.String getRemoteAddr()

  Specified by:
    `getRemoteAddr` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getRemoteAddr` in class `Request`

### setRemoteAddr

    public void setRemoteAddr(java.lang.String remoteAddr)

  Overrides:
    `setRemoteAddr` in class `Request`
  Parameters:
    `remoteAddr` - The address to set.

### getRemoteHost

    public java.lang.String getRemoteHost()

  Specified by:
    `getRemoteHost` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getRemoteHost` in class `Request`

### setRemoteHost

    public void setRemoteHost(java.lang.String remoteHost)

  Overrides:
    `setRemoteHost` in class `Request`
  Parameters:
    `remoteHost` - The host to set.

### isSslSecure

    public boolean isSslSecure()

### setSslSecure

    public void setSslSecure(boolean sslSecure)

### recycle

    protected void recycle()

  Overrides:
    `recycle` in class `Request`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.